﻿using Microsoft.EntityFrameworkCore;
using PrecastConcretePlantDataBaseImplement.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantDataBaseImplement
{
    public class PrecastConcretePlantDataBase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=PRETTYNAME;Initial Catalog=PrecastConcretePlantDataBaseHard;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Reinforced> Reinforceds { set; get; }
        public virtual DbSet<ReinforcedComponent> ReinforcedComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Shop> Shops { set; get; }
        public virtual DbSet<ShopReinforced> ShopReinforceds { set; get; }
    }
}
